import { EventEmitter, OnInit } from '@angular/core';
import { Configurations } from '../../../../configurations';
import * as i0 from "@angular/core";
export declare class GrcRiskListingComponent implements OnInit {
    profilePic: string;
    env: any;
    dataList: any;
    headerText: string;
    selectedListData: any;
    selectedListDataIds: any;
    perPageLimit: number;
    currentPage: number;
    totalPages: number;
    totalListData: number;
    selectedCatAndRisk: any;
    activeCategory: any;
    calledFrom: string;
    set risksList(value: any);
    set getSelectedCatAndRisk(value: any);
    getUpdatedDataList: EventEmitter<any>;
    changeSelectedCatAndRisk: EventEmitter<any>;
    constructor(config?: Configurations);
    ngOnInit(): void;
    getSelectedData(responsibility: any, event: any): void;
    deleteEvent(responsibility: any): void;
    selectAll(event: any): void;
    isAllSelected(): boolean;
    changePage(event: number): void;
    updateOrCreateCategory(categoryId: number, category: any): void;
    getSelectedDataAndIds(selectedData: any): void;
    findCheckedCategoryIndex(categoryId: number | number[]): any;
    deleteSelectedRisk(categoryId: number, risk: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GrcRiskListingComponent, [{ optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GrcRiskListingComponent, "app-grc-risk-listing", never, { "tableCard": { "alias": "tableCard"; "required": false; }; "activeCategory": { "alias": "activeCategory"; "required": false; }; "headerText": { "alias": "headerText"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "perPageLimit": { "alias": "perPageLimit"; "required": false; }; "totalListData": { "alias": "totalListData"; "required": false; }; "totalPages": { "alias": "totalPages"; "required": false; }; "selectedListData": { "alias": "selectedListData"; "required": false; }; "selectedListDataIds": { "alias": "selectedListDataIds"; "required": false; }; "selectedCatAndRisk": { "alias": "selectedCatAndRisk"; "required": false; }; "calledFrom": { "alias": "calledFrom"; "required": false; }; "risksList": { "alias": "dataList"; "required": false; }; "getSelectedCatAndRisk": { "alias": "selectedCatAndRisk"; "required": false; }; }, { "getUpdatedDataList": "getUpdatedDataList"; "changeSelectedCatAndRisk": "changeSelectedCatAndRisk"; }, never, never, true, never>;
}
